summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/runit/runitscripts/services/frontend/finish
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core-testing/runit/runitscripts/services/frontend/finish')
-rwxr-xr-xabs/core-testing/runit/runitscripts/services/frontend/finish30
1 files changed, 30 insertions, 0 deletions
diff --git a/abs/core-testing/runit/runitscripts/services/frontend/finish b/abs/core-testing/runit/runitscripts/services/frontend/finish
new file mode 100755
index 0000000..e1e3e00
--- /dev/null
+++ b/abs/core-testing/runit/runitscripts/services/frontend/finish
@@ -0,0 +1,30 @@
+#!/bin/bash
+exec 2>&1
+grep -q nox /proc/cmdline
+STATUS=$?
+ if [ $STATUS = 0 ]
+ then
+ chvt 2
+else
+
+chvt 1
+if [ ! -d /etc/sv/frontend/.runtime ]
+then
+ mkdir -p /etc/sv/frontend/.runtime
+fi
+
+touch /etc/sv/frontend/.runtime/`date +%s`
+sleep 0.2
+ps -U mythtv -ef |grep "/bin/sh /usr/bin/startx"|grep -v grep|awk ' { print $2 } '|xargs kill -9 2> /dev/null
+
+
+cdate=`date`
+numfiles=`/usr/bin/file_time_offset.py -s10 -d/etc/sv/frontend/.runtime`
+
+if [ $numfiles -gt 2 ]
+then
+ sv stop frontend
+ rm -f /etc/sv/frontend/.runtime/*
+ echo "Frontend is not able to start, disabling it"
+fi
+fi